GroovyCodeVisitor (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.ast

## [Java] Interface GroovyCodeVisitor

- An implementation of the visitor pattern for working with ASTNodes

  Authors:
    James Strachan

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitArgumentlistExpression(ArgumentListExpression expression)`
    `` | `void` | `visitArrayExpression(ArrayExpression expression)`
    `` | `void` | `visitAssertStatement(AssertStatement statement)`
    `` | `void` | `visitAttributeExpression(AttributeExpression attributeExpression)`
    `` | `void` | `visitBinaryExpression(BinaryExpression expression)`
    `` | `void` | `visitBitwiseNegationExpression(BitwiseNegationExpression expression)`
    `` | `void` | `visitBlockStatement(BlockStatement statement)`
    `` | `void` | `visitBooleanExpression(BooleanExpression expression)`
    `` | `void` | `visitBreakStatement(BreakStatement statement)`
    `` | `void` | `visitBytecodeExpression(BytecodeExpression expression)`
    `` | `void` | `visitCaseStatement(CaseStatement statement)`
    `` | `void` | `visitCastExpression(CastExpression expression)`
    `` | `void` | `visitCatchStatement(CatchStatement statement)`
    `` | `void` | `visitClassExpression(ClassExpression expression)`
    `` | `void` | `visitClosureExpression(ClosureExpression expression)`
    `` | `void` | `visitClosureListExpression(ClosureListExpression closureListExpression)`
    `` | `void` | `visitConstantExpression(ConstantExpression expression)`
    `` | `void` | `visitConstructorCallExpression(ConstructorCallExpression expression)`
    `` | `void` | `visitContinueStatement(ContinueStatement statement)`
    `` | `void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `` | `void` | `visitDoWhileLoop(DoWhileStatement loop)`
    `` | `void` | `visitExpressionStatement(ExpressionStatement statement)`
    `` | `void` | `visitFieldExpression(FieldExpression expression)`
    `` | `void` | `visitForLoop(ForStatement forLoop)`
    `` | `void` | `visitGStringExpression(GStringExpression expression)`
    `` | `void` | `visitIfElse(IfStatement ifElse)`
    `` | `void` | `visitListExpression(ListExpression expression)`
    `` | `void` | `visitMapEntryExpression(MapEntryExpression expression)`
    `` | `void` | `visitMapExpression(MapExpression expression)`
    `` | `void` | `visitMethodCallExpression(MethodCallExpression call)`
    `` | `void` | `visitMethodPointerExpression(MethodPointerExpression expression)`
    `` | `void` | `visitNotExpression(NotExpression expression)`
    `` | `void` | `visitPostfixExpression(PostfixExpression expression)`
    `` | `void` | `visitPrefixExpression(PrefixExpression expression)`
    `` | `void` | `visitPropertyExpression(PropertyExpression expression)`
    `` | `void` | `visitRangeExpression(RangeExpression expression)`
    `` | `void` | `visitReturnStatement(ReturnStatement statement)`
    `` | `void` | `visitShortTernaryExpression(ElvisOperatorExpression expression)`
    `` | `void` | `visitSpreadExpression(SpreadExpression expression)`
    `` | `void` | `visitSpreadMapExpression(SpreadMapExpression expression)`
    `` | `void` | `visitStaticMethodCallExpression(StaticMethodCallExpression expression)`
    `` | `void` | `visitSwitch(SwitchStatement statement)`
    `` | `void` | `visitSynchronizedStatement(SynchronizedStatement statement)`
    `` | `void` | `visitTernaryExpression(TernaryExpression expression)`
    `` | `void` | `visitThrowStatement(ThrowStatement statement)`
    `` | `void` | `visitTryCatchFinally(TryCatchStatement finally1)`
    `` | `void` | `visitTupleExpression(TupleExpression expression)`
    `` | `void` | `visitUnaryMinusExpression(UnaryMinusExpression expression)`
    `` | `void` | `visitUnaryPlusExpression(UnaryPlusExpression expression)`
    `` | `void` | `visitVariableExpression(VariableExpression expression)`
    `` | `void` | `visitWhileLoop(WhileStatement loop)`

- - ### Method Detail

    - #### public void visitArgumentlistExpression(ArgumentListExpression expression)

    - #### public void visitArrayExpression(ArrayExpression expression)

    - #### public void visitAssertStatement(AssertStatement statement)

    - #### public void visitAttributeExpression(AttributeExpression attributeExpression)

    - #### public void visitBinaryExpression(BinaryExpression expression)

    - #### public void visitBitwiseNegationExpression(BitwiseNegationExpression expression)

    - #### public void visitBlockStatement(BlockStatement statement)

    - #### public void visitBooleanExpression(BooleanExpression expression)

    - #### public void visitBreakStatement(BreakStatement statement)

    - #### public void visitBytecodeExpression(BytecodeExpression expression)

    - #### public void visitCaseStatement(CaseStatement statement)

    - #### public void visitCastExpression(CastExpression expression)

    - #### public void visitCatchStatement(CatchStatement statement)

    - #### public void visitClassExpression(ClassExpression expression)

    - #### public void visitClosureExpression(ClosureExpression expression)

    - #### public void visitClosureListExpression(ClosureListExpression closureListExpression)

    - #### public void visitConstantExpression(ConstantExpression expression)

    - #### public void visitConstructorCallExpression(ConstructorCallExpression expression)

    - #### public void visitContinueStatement(ContinueStatement statement)

    - #### public void visitDeclarationExpression(DeclarationExpression expression)

    - #### public void visitDoWhileLoop(DoWhileStatement loop)

    - #### public void visitExpressionStatement(ExpressionStatement statement)

    - #### public void visitFieldExpression(FieldExpression expression)

    - #### public void visitForLoop(ForStatement forLoop)

    - #### public void visitGStringExpression(GStringExpression expression)

    - #### public void visitIfElse(IfStatement ifElse)

    - #### public void visitListExpression(ListExpression expression)

    - #### public void visitMapEntryExpression(MapEntryExpression expression)

    - #### public void visitMapExpression(MapExpression expression)

    - #### public void visitMethodCallExpression(MethodCallExpression call)

    - #### public void visitMethodPointerExpression(MethodPointerExpression expression)

    - #### public void visitNotExpression(NotExpression expression)

    - #### public void visitPostfixExpression(PostfixExpression expression)

    - #### public void visitPrefixExpression(PrefixExpression expression)

    - #### public void visitPropertyExpression(PropertyExpression expression)

    - #### public void visitRangeExpression(RangeExpression expression)

    - #### public void visitReturnStatement(ReturnStatement statement)

    - #### public void visitShortTernaryExpression(ElvisOperatorExpression expression)

    - #### public void visitSpreadExpression(SpreadExpression expression)

    - #### public void visitSpreadMapExpression(SpreadMapExpression expression)

    - #### public void visitStaticMethodCallExpression(StaticMethodCallExpression expression)

    - #### public void visitSwitch(SwitchStatement statement)

    - #### public void visitSynchronizedStatement(SynchronizedStatement statement)

    - #### public void visitTernaryExpression(TernaryExpression expression)

    - #### public void visitThrowStatement(ThrowStatement statement)

    - #### public void visitTryCatchFinally(TryCatchStatement finally1)

    - #### public void visitTupleExpression(TupleExpression expression)

    - #### public void visitUnaryMinusExpression(UnaryMinusExpression expression)

    - #### public void visitUnaryPlusExpression(UnaryPlusExpression expression)

    - #### public void visitVariableExpression(VariableExpression expression)

    - #### public void visitWhileLoop(WhileStatement loop)